function [ minKL, matching, randKL ] = matchTwoLDARuns(directory, file1, file2 )
  % Uses Hungarian algorithm to do bipartite matching of 
  % topic distributions from two runs.
   
  cmdline = 'java -Xmx800m -cp ../src/ graphlab_apps.lda.ComputeKLMatrix';
 % filename_seq= sprintf('%s/%s_%d.obj', directory, fileprefix, 1)
 % filename_par = sprintf('%s/%s_%d.obj', directory, fileprefix, ncpus)
  
  outfile = sprintf('%s/matrix.m', directory);
  system(sprintf('%s %s/%s %s/%s %s', cmdline, directory, file1, directory, file2, outfile));
  
  addpath(directory)
  
  cd(directory)
  matrix
  
  
  matching = Hungarian(KLD);
  minKL = 1/size(KLD,1) * sum(sum(matching.*KLD));
  randKL = randomKl;
end

