package lda_gibbs;


import java.util.List;
import java.util.ArrayList;

/**
 *  Set of LDA documents.
 *  @author akyrola@cs.cmu.edu, 2010
 */
public class DocumentSet {

    List<LDADocument> documents;
    int iterationCountdown;

    public DocumentSet() {
        documents = new ArrayList<LDADocument>(1000);
    }

    public void addDocument(LDADocument doc) {
        documents.add(doc);
    }


    public List<LDADocument> getDocuments() {
        return documents;
    }

    public void setDocuments(List<LDADocument> documents) {
        this.documents = documents;
    }

    public void setIterationCountdown(int iterations) {
        this.iterationCountdown = iterations;
    }

    public int decreaseIterations() {
        return iterationCountdown--;
    }

}
